This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032471 - Disconnecting external display leaves the primary display disabled
Disconnecting external display leaves the primary display disabled
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 04:34 EST by Maciek Borzecki
Modified: 2015-06-29 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciek Borzecki 2013-11-20 04:34:10 EST
Description of problem:
When I use an external display with the laptop, I disable LVDS and use external screen only. This is achieved by unselecting 'use this output' in display configuration for LVDS. Only a single screen is in use at any given time. Disconnecting external display does not cause LVDS to get automatically enabled,  and I'm left without any display and I can't really change the display settings at this point.


Version-Release number of selected component (if applicable):
xfce4-settings-4.10.1-3.fc20.x86_64


How reproducible:
always

Steps to Reproduce:
1. connect external display
2. in display settings, disable LVDS, make sure that external display is enabled
3. disconnect external display

Actual results:
LVDS remains disabled, can't use desktop as no displays are enabled

Expected results:
LVDS as the only avaialble screen gets automatically enabled

Additional info:
Comment 1 Kevin Fenzi 2013-11-20 12:06:58 EST
Yeah, I think this is known upstream, but I can't seem to find the bug on it. ;( 

Would you be willing to file a new one? (bugzilla.xfce.org)

In the mean time do you have a fn-f7 or similar key that you can hit to reactivate it? 
Or can you map a xrandr call to a key?
Comment 2 Marius Andreiana 2014-03-10 12:50:54 EDT
Me too, but on GNOME. See also #1052248
Comment 3 Fedora End Of Life 2015-05-29 05:48:51 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 20:44:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.